Subject: Re: bug#6140: 24.0.50; Redisplay problem with the Lao script

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Aug 2019 17:03:47 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 21 Aug 2019 16:53:11 -0700
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >  emacs -Q
> >  C-h H
> >  C-u 1 5 6 4 C-f
> >
> > This will place you on the character in the Lao greeting whose buffer
> > position is 1565.  This is the 2nd character to the left of the slash.
> >
> > Now type "M-x" and observe the character to the right of the cursor.  It
> > is a composed character.  Once you type "M-x", it is "decomposed": its
> > upper part (and everything in that line to the right of it) shifts to
> > the right.
> 
> I tried reproducing this in Emacs 27, but used `C-u 1 8 9 3 C-f' instead
> to get to that place in the Lao greeting.
> 
> But nothing in particular seems to happen when I `M-x' anywhere from
> within the greeting, as far as I can see.

I verified that the problem is still reproducible in Emacs 23, but not
in Emacs 26.  So I'm closing the bug.